%global momorel 1

Summary:	Tools for monitoring SMART capable hard disks
Name:		smartmontools
Version:	5.38
Release:	%{momorel}m%{?dist}
Group:		System Environment/Base
License:	GPL
URL:		http://smartmontools.sourceforge.net/
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:	smartd.initd
Source2:	smartd-conf.py
Source3:	smartmontools.sysconf
Patch1:		smartmontools-5.38-cloexec.patch
Patch2:         smartmontools-5.37-addrinfo.patch
Patch3:         smartmontools-5.38-perc.patch
Patch4:         smartmontools-5.38-selinux.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq:		chkconfig initscripts
Requires:	fileutils kudzu
BuildRequires: 	readline-devel ncurses-devel automake autoconf util-linux groff gettext
Obsoletes:	kernel-utils
ExclusiveArch:	%{ix86} x86_64 ia64 ppc ppc64

%description
The smartmontools package contains two utility programs (smartctl
and smartd) to control and monitor storage systems using the Self-
Monitoring, Analysis and Reporting Technology System (SMART) built
into most modern ATA and SCSI hard disks. In many cases, these 
utilities will provide advanced warning of disk degradation and
failure.

%prep
%setup -q
%patch1 -p1 -b .cloexec
%patch2 -p1 -b .addrinfo
%patch3 -p1 -b .perc
%patch4 -p1 -b .selinux

%build
./autogen.sh
%configure --with-selinux
make CFLAGS="%{optflags} -fpie" LDFLAGS="-fpie -Wl,-z,relro,-z,now"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_sysconfdir}/rc.d
rm -f examplescripts/Makefile*
install -D -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/smartd
install -D -m 755 %{SOURCE2} %{buildroot}%{_sbindir}/smartd-conf.py
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/smartmontools

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG COPYING INSTALL NEWS README
%doc TODO WARNINGS examplescripts smartd.conf
%{_sysconfdir}/init.d/smartd
%config(noreplace) %{_sysconfdir}/sysconfig/smartmontools
%ghost %verify(not md5 size mtime) %config(noreplace,missingok) %{_sysconfdir}/smartd.conf
%{_sbindir}/smartd
%{_sbindir}/smartctl
%{_sbindir}/smartd-conf.py
%{_mandir}/man?/smart*.*

%preun
if [ "$1" = "0" ] ; then
 /sbin/service smartd stop
 /sbin/chkconfig --del smartd
fi

%post
/sbin/chkconfig --add smartd

%triggerpostun -- kernel-utils
/sbin/chkconfig --add smartd
exit 0

%changelog
* Sat Jul 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (5.38-1m)
- update to 5.38
- import patches from Fedora

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.37-3m)
- rebuild against gcc43

* Wed Aug  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.37-2m)
- use -fpie for LDFLAGS to fix SELinux and execstack issue

* Mon Jun  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.37-1m)
- version 5.37
- import smartmontools-5.37-cloexec.patch from Fedora
- import smartmontools.sysconf from Fedora
- update smartd-conf.py
- update smartd.initd

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.36-3m)
- delete pyc pyo

* Sat May 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (5.36-2m)
- stop daemon

* Sat May 20 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (5.36-1m)
- upgrade to 5.36

* Sat May 20 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (5.33-1m)
- import from fc

* Fri Dec 16 2005 Tomas Mraz <tmraz@redhat.com> 1:5.33-4
- mail should be sent to root not root@localhost (#174252)

* Fri Nov 25 2005 Tomas Mraz <tmraz@redhat.com> 1:5.33-3
- add libata disks with -d ata if the libata version
  is new enough otherwise do not add them (#145859, #174095)

* Thu Nov  3 2005 Tomas Mraz <tmraz@redhat.com> 1:5.33-2
- Spec file cleanup by Robert Scheck <redhat@linuxnetz.de> (#170959)
- manual release numbering
- remove bogus patch of non-installed file
- only non-removable drives should be added to smartd.conf
- smartd.conf should be owned (#171498)

* Tue Oct 25 2005 Dave Jones <davej@redhat.com>
- Add comments to generated smartd.conf (#135397)

* Thu Aug 04 2005 Karsten Hopp <karsten@redhat.de>
- package all python files

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Build on PPC32 too (#147090)

* Sat Dec 18 2004 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.

